Firefox help?

AeroJonesy

Diabloii.Net Member
You're missing the APple Quicktime 6.5.1 plugin. There should be a little bar at the top telling you this when you go to the website. It will direct you to a place where you can install it.
 
Top